> For the complete documentation index, see [llms.txt](https://docs.parcellab.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parcellab.com/docs/developers/v2/returns/warehouse-events-for-returns/return-processed-trigger.md).

# Return Processed Trigger

This article describes how you can trigger return flows based on the verification of a return shipment.

## Overview

The Return Processed API can be used to trigger flows for your returns experience based on an evaluation of a return registered in your Returns Portal.

Use the API to send a custom event to parcelLab to update a return registered in your Returns Portal based on the outcome of returns that were processed in your warehouse. This event can be used to trigger subsequent events (for example: issuing a refund, sending emails to the customer) and will automatically update the return tracking.

{% hint style="info" %}
For more information on the scope and requirements of this feature, please contact your parcelLab representative.
{% endhint %}

For details on using the Return Processed API, see the [API documentation](/docs/developers/v2/returns/warehouse-events-for-returns.md#return-processed-api).

For API v4 return registration integrations that should close the return directly, use [Process Return Mutations](https://github.com/parcelLab/gitbook-documentation/blob/main/developers-v4/returns/process-return-mutations.md).

An alternative to using the API is to use the Return Processing app to approve returns and send the data to parcelLab. The app can be integrated into your warehouse returns process for use on desktop (that is: with a USB barcode scanner) or mobile (that is: to scan QR codes with a device’s camera).

For details on using the Return Processing app, see the [product documentation](/docs/retain/return-processing-app.md).

## Configuring the Return Processed Trigger

This section describes the configuration required for using the Return Processed trigger.

#### General Customer Requirements

To use the Return Processed trigger, you need to do the following:

* Send the data for return verification to parcelLab
* Provide an API that can receive data from parcelLab and then trigger the issuing of a refund or a release of an exchange.
* Configure return communication types for the following scenarios:
  * Full acceptance of return
  * Partial acceptance of return
  * Full rejection of return

#### Customer Requirements for Shopify Retailers

Shopify retailers do not need additional configurations for parcelLab to communicate the release of a refund or exchange in Shopify.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parcellab.com/docs/developers/v2/returns/warehouse-events-for-returns/return-processed-trigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
